Bug 555238 (CVE-2010-0007) - CVE-2010-0007 kernel: netfilter: ebtables: enforce CAP_NET_ADMIN
Summary: CVE-2010-0007 kernel: netfilter: ebtables: enforce CAP_NET_ADMIN
Keywords:
Status: NEW
Alias: CVE-2010-0007
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 555239 555240 555241 555242 555243
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-14 05:19 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0146 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-17 00:46:47 UTC
Red Hat Product Errata RHSA-2010:0147 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-17 00:18:44 UTC
Red Hat Product Errata RHSA-2010:0161 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-03-23 15:42:25 UTC

Description Eugene Teo (Security Response) 2010-01-14 05:19:47 UTC
Description of problem:
commit dce766af541f6605fa9889892c0280bab31c66ab
Author: Florian Westphal <fwestphal@astaro.com>
Date:   Fri Jan 8 17:31:24 2010 +0100

    netfilter: ebtables: enforce CAP_NET_ADMIN
    
    normal users are currently allowed to set/modify ebtables rules.
    Restrict it to processes with CAP_NET_ADMIN.
    
    Note that this cannot be reproduced with unmodified ebtables
    binary
    because it uses SOCK_RAW.
    
    Signed-off-by: Florian Westphal <fwestphal@astaro.com>
    Cc: stable@kernel.org
    Signed-off-by: Patrick McHardy <kaber@trash.net>

Upstream commit:
http://git.kernel.org/linus/dce766af541f6605fa9889892c0280bab31c66ab

Comment 2 Eugene Teo (Security Response) 2010-01-14 05:27:21 UTC
Note: impact=low/AC:H because ebtables binary uses SOCK_RAW which you need root privileges in the first place. rhel-3 doesn't have support for ebtables and the impact is low, so I didn't file a bug for it.

Comment 3 Fedora Update System 2010-01-22 11:40:30 UTC
kernel-2.6.30.10-105.2.4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.10-105.2.4.fc11

Comment 4 Fedora Update System 2010-01-22 22:36:22 UTC
kernel-2.6.30.10-105.2.4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2010-03-17 00:19:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0147 https://rhn.redhat.com/errata/RHSA-2010-0147.html

Comment 6 errata-xmlrpc 2010-03-17 00:47:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0146 https://rhn.redhat.com/errata/RHSA-2010-0146.html

Comment 7 errata-xmlrpc 2010-03-23 15:42:54 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0161 https://rhn.redhat.com/errata/RHSA-2010-0161.html


Note You need to log in before you can comment on or make changes to this bug.